%define languageenglazy English
%define languagecode    en
%define lc_ctype        en_GB

%define upstream_version 20180416

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ and BSD
Group:          System/Internationalization
URL:            http://wordlist.sourceforge.net/
Source0:        https://github.com/en-wl/wordlist/archive/rel-2018.04.16/%{name}-%{version}.tar.gz
Source1:        http://en-gb.pyxidium.co.uk/dictionary/en_GB.zip
# Fedora patches
Patch0:         mozilla_words.patch
Patch1:         en_GB-singleletters.patch
Patch2:         en_GB.two_initial_caps.patch
Patch3:         en_US-strippedabbrevs.patch
Patch4:         hunspell-en-allow-non-typographical.marks.patch
Patch5:         hunspell-en-SI_and_IEC.patch
Patch6:         hunspell-en-calender.patch
Patch7:                en_IE.supplemental.patch
Patch8:                hunspell-en-dont-call-git-during-build.patch
# fix build with gcc 7
Patch9:                wordlist-rel-2014.08.11.1-gcc7.patch
# fix build with perl 5.26
Patch10:       wordlist-rel-2014.08.11.1-perl-5.26.patch

BuildRequires:  aspell
BuildRequires:  zip
BuildRequires:	dos2unix

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-en
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-en_AG = %{version}-%{release}
Provides:       hunspell-en_AU = %{version}-%{release}
Provides:       hunspell-en_BS = %{version}-%{release}
Provides:       hunspell-en_BW = %{version}-%{release}
Provides:       hunspell-en_BZ = %{version}-%{release}
Provides:       hunspell-en_DK = %{version}-%{release}
Provides:       hunspell-en_GH = %{version}-%{release}
Provides:       hunspell-en_HK = %{version}-%{release}
Provides:       hunspell-en_IE = %{version}-%{release}
Provides:       hunspell-en_IN = %{version}-%{release}
Provides:       hunspell-en_JM = %{version}-%{release}
Provides:       hunspell-en_NA = %{version}-%{release}
Provides:       hunspell-en_NG = %{version}-%{release}
Provides:       hunspell-en_NZ = %{version}-%{release}
Provides:       hunspell-en_SG = %{version}-%{release}
Provides:       hunspell-en_TT = %{version}-%{release}
Provides:       hunspell-en_ZA = %{version}-%{release}
Provides:       hunspell-en_ZW = %{version}-%{release}
Provides:       hunspell-en_PH = %{version}-%{release}
# Needed for LibreOffice:
Provides:       hunspell-en-US = %{version}-%{release}
Provides:       hunspell-en_US = %{version}-%{release}
Provides:       hunspell-en_CA = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-en_AG = 2
Provides:       dictionary-en_AU = 2
Provides:       dictionary-en_BS = 2
Provides:       dictionary-en_BW = 2
Provides:       dictionary-en_BZ = 2
Provides:       dictionary-en_DK = 2
Provides:       dictionary-en_GH = 2
Provides:       dictionary-en_HK = 2
Provides:       dictionary-en_IE = 2
Provides:       dictionary-en_IN = 2
Provides:       dictionary-en_JM = 2
Provides:       dictionary-en_NA = 2
Provides:       dictionary-en_NG = 2
Provides:       dictionary-en_NZ = 2
Provides:       dictionary-en_SG = 2
Provides:       dictionary-en_TT = 2
Provides:       dictionary-en_ZA = 2
Provides:       dictionary-en_ZW = 2
Provides:       dictionary-en_PH = 2
Provides:       dictionary-en_US = 2
Provides:       dictionary-en_CA = 2
#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-en_AU < 1.0.3
Provides:       myspell-en_AU
Obsoletes:      myspell-en_CA < 1.0.3
Provides:       myspell-en_CA
Obsoletes:      myspell-en_NZ < 1.0.3
Provides:       myspell-en_NZ
Obsoletes:      myspell-en_US < 1.0.3
Provides:       myspell-en_US
Obsoletes:      myspell-en_ZA < 1.0.3
Provides:       myspell-en_ZA

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n wordlist-rel-2018.04.16
%setup -q -T -D -a 1 -n wordlist-rel-2018.04.16
#patch0 -p0 -b .mozilla
%patch1 -p1 -b .singleletters
%patch2 -p1 -b .two_initial_cap
%patch3 -p0 -b .strippedabbrevs
%patch4 -p0 -b .allow-non-typographical
#patch5 -p0 -b .SI_and_IEC
#patch6 -p1 -b .calender
#patch7 -p1 -b .en_IE
%patch9 -p1 -b .gcc7
%patch10 -p1 -b .perl-5.26

%build
make
cd scowl/speller
make hunspell
for i in README_en_CA.txt README_en_US.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
# Copy the omitted en_US and the omitted en_CA dictionaries into . (resolve mga#4338)
for dicts in `echo scowl/speller/en_*.{aff,dic}` 
do
    cp $dicts `basename $dicts`
done

for lang in `echo en_*.dic`
do
    lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
    install -D -m 0644 -p $lang.dic %{buildroot}%{_datadir}/hunspell/$lang.dic
    install -D -m 0644 -p $lang.aff %{buildroot}%{_datadir}/hunspell/$lang.aff
done

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/en_??.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_en_GB.txt scowl/speller/README_en_CA.txt scowl/speller/README_en_US.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Dec 02 2020 tv <tv> 0.20180416.1-3.mga8
+ Revision: 1651625
- Provides hunspell-en-US for LibreOffice)

* Fri Feb 14 2020 umeabot <umeabot> 0.20180416.1-2.mga8
+ Revision: 1522020
- Mageia 8 Mass Rebuild

* Mon Jan 14 2019 luigiwalser <luigiwalser> 0.20180416.1-1.mga7
+ Revision: 1356210
- 20180416

* Thu Sep 20 2018 umeabot <umeabot> 0.20170824.1-4.mga7
+ Revision: 1278727
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 0.20170824.1-3.mga7
+ Revision: 1213464
- Update to release 20170824

* Sun Sep 17 2017 cjw <cjw> 0.20140811.1-3.mga7
+ Revision: 1154911
- fix remaining perl errors that did not stop the build

* Thu Sep 14 2017 cjw <cjw> 0.20140811.1-2.mga7
+ Revision: 1153833
- patch9: fix build with gcc 7
- patch10: fix build with perl 5.26

* Mon Jan 11 2016 luigiwalser <luigiwalser> 0.20140811.1-1.mga6
+ Revision: 921728
- update to 20140811 snapshot (sync with fedora)

* Wed Oct 15 2014 umeabot <umeabot> 0.20121024.1-4.mga5
+ Revision: 749057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20121024.1-3.mga5
+ Revision: 680229
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.20121024.1-2.mga4
+ Revision: 533476
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 luigiwalser <luigiwalser> 0.20121024.1-1.mga4
+ Revision: 473546
- 0.20121024 (from fedora)
- add hames to IE dictionary (from fedora)

* Sat Jan 12 2013 umeabot <umeabot> 0.20110318.1-7.mga3
+ Revision: 353437
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20110318.1-6.mga3
+ Revision: 325237
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 0.20110318.1-5.mga2
+ Revision: 224605
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20110318.1-4.mga2
+ Revision: 207710
- use better obsoleting of myspell

* Mon Jan 30 2012 kamil <kamil> 0.20110318.1-3.mga2
+ Revision: 203164
- include missing files for en_US and en_CA (mga#4338)

* Tue Jan 17 2012 kamil <kamil> 0.20110318.1-2.mga2
+ Revision: 197166
- adapt .spec to the current policies

* Thu Jul 07 2011 ahmad <ahmad> 0.20110318.1-1.mga2
+ Revision: 119749
- Sync with Fedora, update to 20110318

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20110112.1-4.mga1
+ Revision: 68734
- imported package hunspell-en

